Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQCanvasLine Class Reference
[canvas module]

The TQCanvasLine class provides a line on a TQCanvas. More...

`#include <ntqcanvas.h>`

Inherits TQCanvasPolygonalItem.

List of all member functions.

## Public Members

- TQCanvasLine ( TQCanvas * canvas )
- ~TQCanvasLine ()
- void setPoints ( int xa, int ya, int xb, int yb )
- TQPoint startPoint () const
- TQPoint endPoint () const
- virtual int rtti () const

## Detailed Description

The TQCanvasLine class provides a line on a TQCanvas.

The line inherits functionality from TQCanvasPolygonalItem, for example the setPen() function. The start and end points of the line are set with setPoints().

Like any other canvas item lines can be moved with TQCanvasItem::move() and TQCanvasItem::moveBy(), or by setting coordinates with TQCanvasItem::setX(), TQCanvasItem::setY() and TQCanvasItem::setZ().

See also Graphics Classes and Image Processing Classes.

## Member Function Documentation

### TQCanvasLine::TQCanvasLine ( TQCanvas * canvas )

Constructs a line from (0,0) to (0,0) on canvas.

See also setPoints().

### TQCanvasLine::~TQCanvasLine ()

Destroys the line.

### TQPoint TQCanvasLine::endPoint () const

Returns the end point of the line.

See also setPoints() and startPoint().

### int TQCanvasLine::rtti () const`[virtual]`

Returns 7 (TQCanvasItem::Rtti_Line).

See also TQCanvasItem::rtti().

Reimplemented from TQCanvasPolygonalItem.

### void TQCanvasLine::setPoints ( int xa, int ya, int xb, int yb )

Sets the line's start point to (xa, ya) and its end point to (xb, yb).

Example: canvas/canvas.cpp.

### TQPoint TQCanvasLine::startPoint () const

Returns the start point of the line.

See also setPoints() and endPoint().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.